This post was originally published at Changes to Android minimum OS version

android-distribution-chartStarting in daily build 2016.3009, we are changing the minimum supported version for Android from 2.3.3 to 4.0.3. From this build onward, Corona device builds will not run on an Android device whose OS version is below 4.0.3.

We are doing this for several reasons:

Google Play Services

When Google updates Google Play Services to version 10.2 early in 2017, it will no longer support Android 2.3 – 3.2.6. Thus, we won’t be able to provide meaningful updates to the Google Play Services components for older Android versions. Some of these components include:

  • AdMob
  • Google Play Games Services
  • Google Analytics

Core features

Some core Corona features that we wish to implement are only practical if we drop support for Android builds older than 4.0.3. For example, going forward, we need to place application icons in the .apk‘s /res/mipmap directory instead of /res/drawable. This is now required for apps to be featured on Google Play.

Third-party SDK adherence

Many of the third-party SDKs we support via plugins have already dropped support for Android 2.x – 3.x. Others never supported those versions to begin with, or they required a lot of extra work to maintain/support for very little gain. Some of the plugins in this category include:

  • Facebook
  • AdColony
  • InMobi
  • KIDOZ
  • Peanut Labs
  • RevMob
  • NFC (Near Field Control)

Tiny user base

Around the time of this writing, roughly 1.2% of Android devices use 2.3.3 – 2.3.7 and less than 0.2% use 3.0 – 4.0.2. Thus, it no longer makes sense for us to invest time and energy on preserving OS versions of the distant past.

Conclusion

Dropping support for older OS versions is not something we do casually or lightly — we want Corona developers’ apps to run on the largest platform-respective OS base as possible. However, with less than 1.5% of Android devices using versions older than 4.0.3, along with Google encouraging (and sometimes enforcing) newer features, we feel this change is mandatory.

Please join us in the Corona Forums if you have questions or concerns on this subject.

Source:  

This post was originally published at Changes to Android minimum OS version